<?php
/**
 *            registry.php -- Horde application registry
 *
 * $Horde: horde/config/registry.php.dist,v 1.52.2.32 2003/10/08 10:31:51 jan Exp $
 *
 * This configuration file is used by Horde to determine which Horde
 * applications are installed and where, as well as how they interact.
 */

/**
 * Handlers
 * --------
 * The following settings register particular Horde applications as handlers
 * for functionality intended to be common to multiple Horde applications.
 */

/* auth: Handler for user authentication.
 *   Uncomment the auth/login/logout lines if you want to let
 *   IMP handle the authentication for Horde. This avoids the
 *   "double login" while accessing IMP.
 */
//UNCOMMENTWHENINSTIMP$this->registry['auth']['login'] = 'imp';
//UNCOMMENTWHENINSTIMP$this->registry['auth']['logout'] = 'imp';

/* mail: Handler for sending mail. */
$this->registry['mail']['compose'] = 'imp';
$this->registry['mail']['composePopup'] = 'imp';

/* contacts: Handler for contacts management. */
$this->registry['contacts']['search'] = 'turba';
$this->registry['contacts']['add'] = 'turba';
$this->registry['contacts']['sources'] = 'turba';
$this->registry['contacts']['fields'] = 'turba';
/* These handlers are available with Turba 1.2 */
//UNCOMMENTWHENINSTTURBA $this->registry['contacts']['add_field'] = 'turba';
//UNCOMMENTWHENINSTTURBA $this->registry['contacts']['delete_field'] = 'turba';
//UNCOMMENTWHENINSTTURBA $this->registry['contacts']['get_field'] = 'turba';
//UNCOMMENTWHENINSTTURBA $this->registry['contacts']['list_field'] = 'turba';
//UNCOMMENTWHENINSTTURBA $this->registry['contacts']['import_vcard'] = 'turba';

/* events: Handler for events. */
$this->registry['events']['show'] = 'kronolith';

/* memos: Handler for memos/notepad. */
$this->registry['memos']['search'] = 'mnemo';
$this->registry['memos']['list'] = 'mnemo';
$this->registry['memos']['show'] = 'mnemo';
$this->registry['memos']['add'] = 'mnemo';

/* tasks: Handler for todo lists. */
$this->registry['tasks']['search'] = 'nag';
$this->registry['tasks']['list'] = 'nag';
$this->registry['tasks']['show'] = 'nag';
$this->registry['tasks']['add'] = 'nag';

/* events: Handler for filters.
 * These should only be activated if Ingo is actually installed. */
// $this->registry['filter']['blacklistFrom'] = 'ingo';
// $this->registry['filter']['whitelistFrom'] = 'ingo';


/**
 * Application registry
 * --------------------
 * The following settings register installed Horde applications.
 * By default, Horde assumes that the application directories live
 * inside the horde directory.
 *
 * Attribute     Type     Description
 * ---------     ----     -----------
 * fileroot      string   The base filesystem path for the module's files
 * webroot       string   The base URI for the module
 * icon          string   The URI for an icon to show in menus for the module
 * name          string   The name used menus and descriptions for a module
 * allow_guests  boolean  Allow guests, or only logged in users, access?
 * status        string   'inactive', 'hidden', 'notoolbar', or 'active'.
 *
 * The following attributes are only valid for the "horde" entry
 *
 * initial_page  string   The initial (default) page (filename) for the module
 * templates     string   The filesystem path to the templates directory
 *
 */

$this->applications['horde'] = array(
    'fileroot' => dirname(__FILE__) . '/..',
    'webroot' => '/horde',
    'initial_page' => 'login.php',
    'icon' => '/horde/graphics/home.gif',
    'name' => _("Horde"),
    'allow_guests' => true,
    'status' => 'active',
    'templates' => dirname(__FILE__) . '/../templates',
    'cookie_domain' => $_SERVER['SERVER_NAME'],
    // ** If IE will be used to access Horde modules, you should read
    //    this discussion about the cookie_path setting (discussing issues
    //    with IE's Content Advisor):
    //    http://lists.horde.org/archives/imp/Week-of-Mon-20030113/029149.html
    'cookie_path' => '/horde',
    'server_name' => $_SERVER['SERVER_NAME'],
    'server_port' => $_SERVER['SERVER_PORT']
);

$this->applications['logout'] = array(
    'fileroot' => dirname(__FILE__) . '/..',
    'webroot' => $this->applications['horde']['webroot'],
    'initial_page' => 'login.php?reason=logout',
    'icon' => $this->applications['horde']['webroot'] . '/graphics/logout.gif',
    'name' => _("Logout"),
    'allow_guests' => false,
    'status' => 'notoolbar'
);

//UNCOMMENTWHENINSTIMP$this->applications['imp'] = array(
//UNCOMMENTWHENINSTIMP    'fileroot' => dirname(__FILE__) . '/../imp',
//UNCOMMENTWHENINSTIMP    'webroot' => $this->applications['horde']['webroot'] . '/imp',
//UNCOMMENTWHENINSTIMP    'icon' => $this->applications['horde']['webroot'] . '/imp/graphics/imp.gif',
//UNCOMMENTWHENINSTIMP    'name' => _("Mail"),
//UNCOMMENTWHENINSTIMP    'allow_guests' => false,
//UNCOMMENTWHENINSTIMP    'status' => 'active'
//UNCOMMENTWHENINSTIMP);

//UNCOMMENTWHENINSTINGO$this->applications['ingo'] = array(
//UNCOMMENTWHENINSTINGO    'fileroot' => dirname(__FILE__) . '/../ingo',
//UNCOMMENTWHENINSTINGO    'webroot' => $this->applications['horde']['webroot'] . '/ingo',
//UNCOMMENTWHENINSTINGO    'icon' => $this->applications['horde']['webroot'] . '/ingo/graphics/ingo.gif',
//UNCOMMENTWHENINSTINGO    'name' => _("Filters"),
//UNCOMMENTWHENINSTINGO    'allow_guests' => false,
//UNCOMMENTWHENINSTINGO    'status' => 'active'
//UNCOMMENTWHENINSTINGO);

//UNCOMMENTWHENINSTTURBA$this->applications['turba'] = array(
//UNCOMMENTWHENINSTTURBA    'fileroot' => dirname(__FILE__) . '/../turba',
//UNCOMMENTWHENINSTTURBA    'webroot' => $this->applications['horde']['webroot'] . '/turba',
//UNCOMMENTWHENINSTTURBA    'icon' => $this->applications['horde']['webroot'] . '/turba/graphics/turba.gif',
//UNCOMMENTWHENINSTTURBA    'name' => _("Address Book"),
//UNCOMMENTWHENINSTTURBA    'allow_guests' => false,
//UNCOMMENTWHENINSTTURBA    'status' => 'active'
//UNCOMMENTWHENINSTTURBA);

//UNCOMMENTWHENINSTKRONOLITH$this->applications['kronolith'] = array(
//UNCOMMENTWHENINSTKRONOLITH    'fileroot' => dirname(__FILE__) . '/../kronolith',
//UNCOMMENTWHENINSTKRONOLITH    'webroot' => $this->applications['horde']['webroot'] . '/kronolith',
//UNCOMMENTWHENINSTKRONOLITH    'icon' => $this->applications['horde']['webroot'] . '/kronolith/graphics/kronolith.gif',
//UNCOMMENTWHENINSTKRONOLITH    'name' => _("Calendar"),
//UNCOMMENTWHENINSTKRONOLITH    'allow_guests' => false,
//UNCOMMENTWHENINSTKRONOLITH    'status' => 'active'
//UNCOMMENTWHENINSTKRONOLITH);

//UNCOMMENTWHENINSTMNEMO$this->applications['mnemo'] = array(
//UNCOMMENTWHENINSTMNEMO    'fileroot' => dirname(__FILE__) . '/../mnemo',
//UNCOMMENTWHENINSTMNEMO    'webroot' => $this->applications['horde']['webroot'] . '/mnemo',
//UNCOMMENTWHENINSTMNEMO    'icon' => $this->applications['horde']['webroot'] . '/mnemo/graphics/mnemo.gif',
//UNCOMMENTWHENINSTMNEMO    'name' => _("Memos"),
//UNCOMMENTWHENINSTMNEMO    'allow_guests' => false,
//UNCOMMENTWHENINSTMNEMO    'status' => 'active'
//UNCOMMENTWHENINSTMNEMO);

//UNCOMMENTWHENINSTNAG$this->applications['nag'] = array(
//UNCOMMENTWHENINSTNAG    'fileroot' => dirname(__FILE__) . '/../nag',
//UNCOMMENTWHENINSTNAG    'webroot' => $this->applications['horde']['webroot'] . '/nag',
//UNCOMMENTWHENINSTNAG    'icon' => $this->applications['horde']['webroot'] . '/nag/graphics/nag.gif',
//UNCOMMENTWHENINSTNAG    'name' => _("Tasks"),
//UNCOMMENTWHENINSTNAG    'allow_guests' => false,
//UNCOMMENTWHENINSTNAG    'status' => 'active'
//UNCOMMENTWHENINSTNAG);

//UNCOMMENTWHENINSTCHORA$this->applications['chora'] = array(
//UNCOMMENTWHENINSTCHORA    'fileroot' => dirname(__FILE__) . '/../chora',
//UNCOMMENTWHENINSTCHORA    'webroot' => $this->applications['horde']['webroot'] . '/chora',
//UNCOMMENTWHENINSTCHORA    'icon' => $this->applications['horde']['webroot'] . '/chora/graphics/chora.gif',
//UNCOMMENTWHENINSTCHORA    'name' => _("CVS"),
//UNCOMMENTWHENINSTCHORA    'allow_guests' => false,
//UNCOMMENTWHENINSTCHORA    'status' => 'active'
//UNCOMMENTWHENINSTCHORA);

//UNCOMMENTWHENINSTKLUTZ$this->applications['klutz'] = array(
//UNCOMMENTWHENINSTKLUTZ    'fileroot' => dirname(__FILE__) . '/../klutz',
//UNCOMMENTWHENINSTKLUTZ    'webroot' => $this->applications['horde']['webroot'] . '/klutz',
//UNCOMMENTWHENINSTKLUTZ    'icon' => $this->applications['horde']['webroot'] . '/klutz/graphics/klutz.gif',
//UNCOMMENTWHENINSTKLUTZ    'name' => _("Comics"),
//UNCOMMENTWHENINSTKLUTZ    'allow_guests' => false,
//UNCOMMENTWHENINSTKLUTZ    'status' => 'active'
//UNCOMMENTWHENINSTKLUTZ);

//UNCOMMENTWHENINSTNIC$this->applications['nic'] = array(
//UNCOMMENTWHENINSTNIC    'fileroot' => dirname(__FILE__) . '/../nic',
//UNCOMMENTWHENINSTNIC    'webroot' => '/horde/nic',
//UNCOMMENTWHENINSTNIC    'icon' => '/horde/nic/graphics/nic.gif',
//UNCOMMENTWHENINSTNIC    'name' => _("Network"),
//UNCOMMENTWHENINSTNIC    'allow_guests' => false,
//UNCOMMENTWHENINSTNIC    'status' => 'active'
//UNCOMMENTWHENINSTNIC);

//UNCOMMENTWHENINSTJONAH$this->applications['jonah'] = array(
//UNCOMMENTWHENINSTJONAH    'fileroot' => dirname(__FILE__) . '/../jonah',
//UNCOMMENTWHENINSTJONAH    'webroot' => '/horde/jonah',
//UNCOMMENTWHENINSTJONAH    'icon' => '/horde/jonah/graphics/jonah.gif',
//UNCOMMENTWHENINSTJONAH    'name' => _("Headlines"),
//UNCOMMENTWHENINSTJONAH    'allow_guests' => true,
//UNCOMMENTWHENINSTJONAH    'status' => 'active'
//UNCOMMENTWHENINSTJONAH);

/**
 * Service registry
 * ----------------
 * The following entries register services for specific Horde
 * applications. Unless you need to customize your Horde
 * applications, you shouldn't touch this section.
 */

$this->services['imp']['auth']['login'] = array(
    'link' => '%application%/login.php?url=|url|'
);
$this->services['imp']['auth']['logout'] = array(
    'link' => '%application%/login.php?reason=logout&url=|url|'
);
$this->services['imp']['mail']['compose'] = array(
    'link' => "javascript:open_compose_win('popup=1&to=|to|&cc=|cc|&bcc=|bcc|&msg=|msg|&subject=|subject||extra|');",
    'includeFile' => '%application%/templates/javascript/open_compose_win.js',
);
$this->services['imp']['mail']['composePopup'] = array(
    'file' => '%application%/lib/api.php',
    'includeFile' => '%application%/templates/javascript/open_compose_win.js',
    'function' => 'impComposePopup',
    'args' => array('options')
);
$this->services['imp']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'impSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['turba']['contacts']['search'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaExpandAddresses',
    'args' => array('addresses', 'addressbooks', 'fields'),
    'type' => 'array'
);
$this->services['turba']['contacts']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaAddAddress',
    'args' => array('name', 'address', 'addressbook'),
    'type' => 'boolean'
);
$this->services['turba']['contacts']['import_vcard'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaImportvCard',
    'args' => array('source', 'vcard_data'),
    'type' => 'array'
);
$this->services['turba']['contacts']['sources'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetSources',
    'args' => array('writeable'),
    'type' => 'array'
);
$this->services['turba']['contacts']['fields'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetFields',
    'args' => array('addressbook'),
    'type' => 'array'
);
$this->services['turba']['contacts']['add_field'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaAddField',
    'args' => array('address', 'name', 'field', 'value', 'addressbook'),
    'type' => 'array'
);
$this->services['turba']['contacts']['delete_field'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaDeleteField',
    'args' => array('address', 'field', 'addressbooks'),
    'type' => 'array'
);
$this->services['turba']['contacts']['get_field'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetField',
    'args' => array('address', 'field', 'addressbooks'),
    'type' => 'array'
);
$this->services['turba']['contacts']['list_field'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaListField',
    'args' => array('field', 'addressbooks'),
    'type' => 'array'
);

$this->services['kronolith']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'kronolithSummary',
    'args' => array(),
    'type' => 'string'
);
$this->services['kronolith']['events']['show'] = array(
    'link' => '%application%/viewevent.php?eventID=|event|'
);

$this->services['mnemo']['memos']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoListMemos',
    'args' => array('sortby', 'sortdir'),
    'type' => 'array'
);
$this->services['mnemo']['memos']['search'] = array(
    'link' => '%application%/search.php'
);
$this->services['mnemo']['memos']['show'] = array(
    'link' => '%application%/view.php?memo=|memo|'
);
$this->services['mnemo']['memos']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoAddMemo',
    'args' => array('body', 'category'),
    'type' => 'integer'
);
$this->services['mnemo']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['nag']['tasks']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagListTasks',
    'args' => array('sortby', 'sortdir'),
    'type' => 'array'
);
$this->services['nag']['tasks']['search'] = array(
    'link' => '%application%/search.php'
);
$this->services['nag']['tasks']['show'] = array(
    'link' => '%application%/view.php?task=|task|'
);
$this->services['nag']['tasks']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagAddTask',
    'args' => array('name', 'description', 'due'),
    'type' => 'integer'
);
$this->services['nag']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagSummary',
    'args' => array(),
    'type' => 'string'
);
$this->services['nic']['net']['finger'] = array(
    'link' => "%application%/finger.php?address=|address|"
);


$this->services['whups']['projects']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'whupsListModules',
    'args' => array(),
    'type' => 'array'
);
$this->services['whups']['projects']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'whupsAddModule',
    'args' => array('name'),
    'type' => 'integer'
);
$this->services['whups']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'whupsSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['ingo']['filter']['blacklistFrom'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'blacklistFrom',
    'args' => array('addresses')
);
$this->services['ingo']['filter']['whitelistFrom'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'whitelistFrom',
    'args' => array('addresses')
);

$this->services['default']['mail']['compose'] = array(
    'link' => 'mailto:%to%'
);
